Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type
Enum OdfSectionDisplay

    java.lang.Object
      java.lang.Enum<OdfSectionDisplay>
          org.odftoolkit.odfdom.dom.type.OdfSectionDisplay

All Implemented Interfaces:
  Serializable, Comparable<OdfSectionDisplay>

    public enum OdfSectionDisplay

extends Enum<OdfSectionDisplay>

DOM implementation of OpenDocument data type 'sectionDisplay'

Enum Constant Summary
`CONDITION`
`NONE`
`TRUE`

Method Summary
`static OdfSectionDisplay` | `enumValueOf(String _aString)`
`String` | `toString()`
`static String` | `toString(OdfSectionDisplay _aEnum)`
`static OdfSectionDisplay` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSectionDisplay[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUE

    public static final OdfSectionDisplay TRUE

### NONE

    public static final OdfSectionDisplay NONE

### CONDITION

    public static final OdfSectionDisplay CONDITION

Method Detail

### values

    public static OdfSectionDisplay[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSectionDisplay c : OdfSectionDisplay.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSectionDisplay valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<OdfSectionDisplay>`

### toString

    public static String toString(OdfSectionDisplay _aEnum)

### enumValueOf

    public static OdfSectionDisplay enumValueOf(String _aString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.